Subject: Re: Case sensitivity in filenames
From: [email-masked] (Fergus Henderson)

5 Jan 1999 11:18:18 -0800
Message-ID: <[email-masked]>
References: <c=UK%a=_%p=Origin-it%l=[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Geoffrey Noer <[email-masked]>
Cc: "Moore, Paul" <[email-masked]>,
        "'Larry Hall'" <[email-masked]>, "'Gnu Win32'" <[email-masked]>

On 04-Jan-1999, Geoffrey Noer <[email-masked]> wrote:
> On Mon, Jan 04, 1999 at 02:34:25PM -0000, Moore, Paul wrote:
> [...]
> > Unfortunately, I'm not willing to limit myself to bash...
> > 
> > Paul.
> 
> Could you explain at greater length what you want Cygwin to do
> w.r.t. case insensitivity?

If a program is invoked directly from the DOS command line, or from a
non-cygwin program, then I think wildcards still get expanded.
In this case, it is the cygwin startup files (crt0.o or whatever)
rather than bash which is doing this glob expansion.

There should be some setting for the CYGWIN environment variable, or
perhaps a different environment variable, which controls whether this
globbing is case sensitive or not.  Ideally there should be also be a
gcc link option which controls the default behaviour in case the
environment variable is not set.

In addition, bash and readline should also support optional 
case insensitivity for filename globbing and filename completion.

-- 
Fergus Henderson <[email-masked]>  |  "Binaries may die
WWW: <http://www.cs.mu.oz.au/~fjh>  |   but source code lives forever"
PGP: finger [email-masked]        |     -- leaked Microsoft memo.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".